/**********************************************************************\
**
**                         Copyright (c) 2004-2017 by
**                          HENGSTLER GmbH, Aldingen
**
**      This  software  is furnished under a licence and may be used and
**      copied only in accordance with the terms  of  such  licence  and
**      with the inclusion of the above copyright notice.  This software
**      or any other copies thereof may not  be  provided  or  otherwise
**      made  available  to any other person.  No title to and ownership
**      of the software is hereby transferred.
**
**      The  information  in  this software is subject to change without
**      notice and should not be construed as a commitment by Hengstler.
**
**  Module:      C56SdkDemo03DlgMain.h
**  Facility:    S684002 - Hengstler C56 Printer Driver for Windows XP/7/8/10
**  Component:   C56 SDK Demo Application 03 (C56SdkDemo03)
**  Date         2017APR27
**  Environment: Windows XP/7/8/10
**  Compiler:    Microsoft Visual Studio 2015
**  Abstract:    Header file of module C56SdkDemo03DlgMain.cpp
**  Notes:       -
**
\**********************************************************************/

/*
** COMPILER
*/

#pragma once

//******************************************************************************************
// CLASS:     CC56SdkDemo03DlgMain 
// ABSTRACT:  Printer C-56 SDK Demo 03 main-dialog
//******************************************************************************************

class CC56SdkDemo03DlgMain : public CDialog
{
   //-- Construction
   public: 
      CC56SdkDemo03DlgMain(CWnd* pParent = NULL);   
      
      //-- Dialogdata
      enum { IDD = IDD_C56SDKDEMO03_DLGMAIN };

   protected:
       virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV-Untersttzung


   //-- Implementation 
   protected:
      HICON     m_hIcon;                 // Handle of icon
      UINT_PTR  m_puiTimer;              // Timer for update
      BYTE      m_bJobNr;                // Number of last job 

      // Generated functions for message tables 
      virtual BOOL OnInitDialog();

      afx_msg VOID OnTimer(UINT_PTR nIdEvent);
      afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
      afx_msg void OnPaint();
      afx_msg HCURSOR OnQueryDragIcon();
      DECLARE_MESSAGE_MAP()

   public:
      afx_msg void OnBnPrintout();
};
