/**********************************************************************\
**
**                         Copyright (c) 2004-2017 by
**                          HENGSTLER GmbH, Aldingen
**
**      This  software  is furnished under a licence and may be used and
**      copied only in accordance with the terms  of  such  licence  and
**      with the inclusion of the above copyright notice.  This software
**      or any other copies thereof may not  be  provided  or  otherwise
**      made  available  to any other person.  No title to and ownership
**      of the software is hereby transferred.
**
**      The  information  in  this software is subject to change without
**      notice and should not be construed as a commitment by Hengstler.
**
**  Module:      C56SdkDemo06DlgMain.h
**  Facility:    S684002 - Hengstler C56 Printer Driver for Windows XP/7/8/10
**  Component:   C56 SDK Demo Application 06 (C56SdkDemo06)
**  Date         2011 JUN 30
**  Environment: Windows XP/7/8/10
**  Compiler:    Microsoft Visual Studio 2015
**  Abstract:    Header file of module C56SdkDemo06DlgMain.cpp
**  Notes:       -
**
\**********************************************************************/

/*
** COMPILER
*/

#pragma once

//******************************************************************************************
// CLASS:     CC56SdkDemo06DlgMain 
// ABSTRACT:  Printer C-56 SDK Demo 06 main-dialog
//******************************************************************************************

class CC56SdkDemo06DlgMain : public CDialog
{
   //-- Construction
   public: 

      CC56SdkDemo06DlgMain(CWnd* pParent = NULL);   
      
   protected:

      HICON     m_hIcon;                 // Handle of icon
      CHAR      m_szFile[MAX_PATH];      // Buffer for path to file

      //-- Dialogdata
      enum { IDD = IDD_C56SDKDEMO06_DLGMAIN };

      virtual   void DoDataExchange(CDataExchange* pDX);   // DDX/DDV-Untersttzung

      BOOL            OpenFileName(HWND hWnd, PSTR pszFile, INT nFile, PSTR pszTile, PSTR pszFilter, BOOL fSave);

      // Generated functions for message tables 
      virtual BOOL    OnInitDialog();
      afx_msg void    OnSysCommand(UINT nID, LPARAM lParam);
      afx_msg void    OnPaint();
      afx_msg HCURSOR OnQueryDragIcon();
      afx_msg void    OnBnClickedLoad();
      afx_msg void    OnBnClickedSave();
      afx_msg void    OnBnClickedModify();

      DECLARE_MESSAGE_MAP()


   public:
};
