/**********************************************************************\
**
**                         Copyright (c) 2006-2017 by
**                          HENGSTLER GmbH, Aldingen
**
**      This  software  is furnished under a licence and may be used and
**      copied only in accordance with the terms  of  such  licence  and
**      with the inclusion of the above copyright notice.  This software
**      or any other copies thereof may not  be  provided  or  otherwise
**      made  available  to any other person.  No title to and ownership
**      of the software is hereby transferred.
**
**      The  information  in  this software is subject to change without
**      notice and should not be construed as a commitment by Hengstler.
**
**  Module:      C56SdkDemo10DlgMain.h
**  Facility:    S684002 - Hengstler C56 Printer Driver for Windows XP/7/8/10
**  Component:   C56 SDK Demo Application 10 (C56SdkDemo10)
**  Date         2017APR27
**  Environment: Windows XP/7/8/10
**  Compiler:    Microsoft Visual Studio 2015
**  Abstract:    Header file of module C56SdkDemo10DlgMain.cpp
**  Notes:       -
**
\**********************************************************************/

/*
** COMPILER
*/

#pragma once

//******************************************************************************************
// CLASS:     CC56SdkDemo10DlgMain 
// ABSTRACT:  Printer C-56 SDK Demo 10 main-dialog
//******************************************************************************************

class CC56SdkDemo10DlgMain : public CDialog
{
   public: 

      //-- Construction
      CC56SdkDemo10DlgMain(CWnd* pParent = NULL);   
      
      //-- Dialogdata
      enum { IDD = IDD_C56SDKDEMO10_DLGMAIN };

   protected:

      //-- Member variables
      HICON           m_hIcon;                 // Handle of icon
      BYTE            m_bJobNr;                // Number of last job 
      UINT_PTR        m_puiTimerUpdateStatus;  // Timer for update
      UINT_PTR        m_puiTimerPrintout;      // Timer for printout
      CString         m_strPrinter;            // Printer driver selected
      DWORD           m_dwTicketNr;            // Current ticket number
      DWORD           m_dwNrOfTickets;         // Total nr of tickets to print
      DWORD           m_dwIntervalMs;          // Interval between two tickets
      BOOL            m_fPrinting;             // Flag indicating printing
      CString         m_strStatus;             // Actual status
      CString         m_strError;              // Actual error

      virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV-Untersttzung

      virtual BOOL    OnInitDialog();
      afx_msg VOID    OnTimer(UINT_PTR nIdEvent);
      afx_msg void    OnSysCommand(UINT nID, LPARAM lParam);
      afx_msg void    OnPaint();
      afx_msg void    OnBnClickedButtonAutoPrintout();
      afx_msg void    OnBnClickedButtonSinglePrintout();
      afx_msg HCURSOR OnQueryDragIcon();

      DECLARE_MESSAGE_MAP()

      void            GetDlgItems();
      void            SetDlgItems();
      void            LoadDlgItems();
      void            StoreDlgItems();

      void            DoUpdateStatus();
      void            DoPrintout(BOOL fAuto);
};
